<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class difuntos_cremados extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = [
        'dni',
        'acta_de_defuncion',
        'certificado_de_defuncion',
        'nombre',
        'apellido_paterno',
        'apellido_materno',
        'causa_de_muerte',
        'fecha_muerte',
    ]   ;

    public function familiar_difuntos_cremados()

    {
        return $this->hasMany(familiar_difuntos_cremados::class, 'id_difunto_cremado');
    }

    // Relación con el modelo Nicho
    public function cinerarios()
    {
        return $this->belongsTo(cinerarios::class, 'id_cinerarios');
    }
    public function recibo_cinerario()
    {
        return $this->belongsTo(recibo_cinerario::class, 'id_recibo_cinerario');
    }

    public function pabellon()
    {
        return $this->belongsTo(pabellon::class, 'id_pabellon');
    }

}
