<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('detalle_recibos', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('id_recibo')->unsigned();
            $table->bigInteger('id_nicho')->unsigned();
            $table->bigInteger('id_difunto')->unsigned();
            $table->foreign('id_recibo')->references('id')->on('recibos');
            $table->foreign('id_nicho')->references('id')->on('nichos');
            $table->foreign('id_difunto')->references('id')->on('difuntos');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('detalle_recibos');
    }
};
