<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('detalle_lapidas', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('id_lapida')->unsigned();
            $table->bigInteger('id_sepultado')->unsigned();
            $table->decimal('costo');
            $table->foreign('id_sepultado')->references('id')->on('sepultados');
            $table->foreign('id_lapida')->references('id')->on('lapidas');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('detalle_lapidas');
    }
};
