@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')
@stop

@section('content')
<div class="row">
    <div class="col-md-6">
        <h2 class="mb-0" style="display: inline-block;">Mostrando Pago Alquiler</h2>
    </div>
    <div class="col-md-6 text-right">
    </div>
</div>
<form method="POST" action="{{ route('alquiler.store') }}" id="formAlquiler">
    @csrf
    <div class="row">
        <div class="col-md-12 border-right">
            <div class="row" id="res"></div>
            <div class="row mt-2">
                <div class="col-md-1" STYLE="display: none">
                    <label class="labels">ARRENDATARIO</label>
                    <input type="text" id="idcliente" name="idcliente" class="form-control" readonly>
                </div>
                <div class="col-md-9">
                    <label class="labels">ARRENDATARIO</label>
                    <input
                        value="{{$alquiler->arrendatario->nombre}}"
                        type="text" id="cliente" name="cliente" class="form-control"
                        placeholder="Buscar Cliente" readonly>
                    <ul id="resultadoscliente" class="list-group" style="display: none;"></ul>
                </div>
                <div class="col-md-3">
                    <label class="labels">DOCUMENTO</label>
                    <input
                        value="{{$alquiler->arrendatario->dni}}"
                        type="text" id="documento" name="documento" class="form-control" readonly>
                </div>
            </div>
        </div>
    </div>
</form> <!-- Fin del formulario principal -->
<div class="form-group col-lg-3 col-md-3 col-sm-6 col-xs-12">
</div>
<div class="form-group col-lg-12 col-md-12 col-xs-12">
    <table id="detallesVentaTemporal" class="table table-striped table-bordered table-condensed table-hover">
        <thead style="background-color:#A9D0F5">
        <th>Codigo</th>
        <th>Inmueble</th>
        <th>Mes/cuota</th>
        <th>Precio</th>
        <th>Total</th>
        </thead>
        <tbody>
        @foreach($alquiler->detallealquiler as $item)
            <tr>
                <td>{{$item->inmueble->id}}</td>
                <td>{{$item->inmueble->direccion }}</td>
                <td>{{$item->meses }}</td>
                <td>{{number_format($item->monto,2)}}</td>
                <td>{{number_format($item->monto,2)}}</td>
      
            </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
            <td colspan="4" class="text-right"><strong>Subtotal:</strong></td>
            <td id="total" class="text-center">{{number_format($alquiler->subtotal,2)}}</td>
        </tr>
        <tr>
            <td colspan="4" class="text-right"><strong>Monto Total:</strong></td>
            <td id="total" class="text-center">{{number_format($alquiler->total,2)}}</td>
        </tr>
        </tfoot>
    </table>
    <form method="POST" action="">
        @csrf
        <div class="form-group col-md-3 m-auto">
            <a
                href="{{ route('alquiler.export',$alquiler->id) }}"
                target="_blank"
                class="btn btn-primary btn-block text-white" type="submit" id="btnEmitirComprobante">
                <i class="fa fa-plus"></i> Imprimir
            </a>
        </div>
    </form>
    <br>
    <div class="form-group col-md-3 m-auto">
        <a href="{{ route('alquiler') }}"
           class="btn btn-secondary btn-block text-white">
            Cancelar
        </a>
    </div>
</div>

@stop

@section('css')
    {{-- Add here extra stylesheets --}}
    {{-- <link rel="stylesheet" href="/css/admin_custom.css"> --}}
@stop

@section('js')
    <script> console.log("Hi, I'm using the Laravel-AdminLTE package!"); </script>
@stop