<div class="modal fade" id="update{{$INMUEBLE->id}}" tabindex="-1" aria-labelledby="updateModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title" id="updateModalLabel">Actualizar Datos Inmueble</h5>
            </div>
            <form action="{{ route('inmueble.update', $INMUEBLE->id) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="modal-body">

                    <div class="mb-3">
                        <label for="direccion" class="form-label">Dirección</label>
                        <input type="text" class="form-control" id="direccion" name="direccion" value="{{ $INMUEBLE->direccion }}" required>
                    </div>

                    <div class="mb-3">
                        <img src="{{$INMUEBLE->imagen_inmueble}}" alt="Fotografía del Inmueble" style="max-width: 50%; height: auto; border-radius: 10px;">
                    </div>

                    <div class="mb-3">
                        <label for="foto" class="form-label">Fotografía</label>
                        <input type="file" class="form-control-file" id="foto" name="foto">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-success">Guardar Cambios</button>
                </div>
            </form>
        </div>
    </div>
</div>