<!-- Modal -->
<div class="modal fade" id="update<?php echo e($DIFUNTO->id); ?>" tabindex="-1" aria-labelledby="updateModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title" id="updateModalLabel">Actualizar Datos Difunto</h5>
            </div>
            <form action="<?php echo e(route('difunto.update', $DIFUNTO->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>
                <div class="modal-body">
                    <div class="row">
                        <!-- Columna de datos del Difunto -->

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="dni_difunto">DNI del Difunto(*)</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" id="dni_difunto" name="dni_difunto" value="<?php echo e($DIFUNTO->dni); ?>" required>
                                </div>
                            </div>             
                            <div class="form-group">
                                <label for="nombre_difunto">Nombre del Difunto(*)</label>
                                <input type="text" class="form-control" id="nombre_difunto" name="nombre_difunto" value="<?php echo e($DIFUNTO->nombre); ?>" required>
                            </div>
                            <div class="form-group">
                                <label for="apellido_paterno_difunto">Apellido Paterno del Difunto(*)</label>
                                <input type="text" class="form-control" id="apellido_paterno_difunto" name="apellido_paterno_difunto" value="<?php echo e($DIFUNTO->apellido_paterno); ?>" required>
                            </div>
                            <div class="form-group">
                                <label for="apellido_materno_difunto">Apellido Materno del Difunto(*)</label>
                                <input type="text" class="form-control" id="apellido_materno_difunto" name="apellido_materno_difunto" value="<?php echo e($DIFUNTO->apellido_materno); ?>" required>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="causa_muerte">Causa de Muerte(*)</label>
                                <input type="text" class="form-control" id="causa_muerte" name="causa_muerte" value="<?php echo e($DIFUNTO->causa_de_muerte); ?>" required>
                            </div>
                            <div class="form-group">
                                <label for="acta_defuncion">Acta de Defunción</label>
                                <input type="text" class="form-control" id="acta_defuncion" name="acta_defuncion" value="<?php echo e($DIFUNTO->acta_de_defuncion); ?>">
                            </div>
                            <div class="form-group">
                                <label for="certificado_defuncion">Certificado de Defunción</label>
                                <input type="text" class="form-control" id="certificado_defuncion" name="certificado_defuncion" value="<?php echo e($DIFUNTO->certificado_de_defuncion); ?>">
                            </div>
                            <div class="form-group">
                                <label for="fecha_muerte">Fecha de Muerte(*)</label>
                                <input type="date" class="form-control" id="fecha_muerte" name="fecha_muerte" value="<?php echo e($DIFUNTO->fecha_muerte); ?>" required>
                            </div>
                        </div>
                        
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-success">Guardar Cambios</button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php /**PATH C:\xampp\htdocs\sistemanichos\resources\views/difunto/update.blade.php ENDPATH**/ ?>