

<?php $__env->startSection('title', 'Dashboard'); ?>

<?php $__env->startSection('content_header'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<br>
<div class="d-flex align-items-center justify-content-between">
    <h4 class="mb-0">Boletas de Cinerarios</h4>
    <a href="<?php echo e(route('pabellon')); ?>" class="btn btn-primary">Ir a Pabellones</a>
</div>
<br>
<input type="text" id="searchInput" class="form-control mb-2" placeholder="Buscar por nombre...">
<table class="table table-hover">
    <thead class="table-primary">
    <tr>
        <th>ID</th>
        <th>Nombre Familiar</th>
        <th>Apellidos Paterno</th>
        <th>Apellidos Materno</th>
        <th>Fecha</th>
        <th>Acciones</th>
    </tr>
    </thead>
    <tbody id="recibosTableBody">
        <?php $__currentLoopData = $recibo_cinerarios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $recibos_c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr class="recibos_cinerario-row">
            <td><?php echo e($recibos_c->id); ?></td>
            <td><?php echo e($recibos_c->familiar_difuntos_cremados->nombre ?? 'No disponible'); ?></td>
            <td><?php echo e($recibos_c->familiar_difuntos_cremados->apellido_paterno ?? 'No disponible'); ?></td>
            <td><?php echo e($recibos_c->familiar_difuntos_cremados->apellido_materno ?? 'No disponible'); ?></td>
            <td><?php echo e($recibos_c->fecha); ?></td>
            <td>
                <a href="<?php echo e(route('recibo_cinerario.export', $recibos_c->id)); ?>" class="btn btn-primary" target="_blank">
                <i class="fas fa-money-check"></i> <!-- Ícono de Recibo -->
            </td>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    
    </tbody>
</table>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script>
        document.getElementById('searchInput').addEventListener('input', function() {
            var searchValue = this.value.toLowerCase();
            var rows = document.getElementsByClassName('recibos-row');
            for (var i = 0; i < rows.length; i++) {
                var rowData = rows[i].textContent.toLowerCase();
                if (rowData.includes(searchValue)) {
                    rows[i].style.display = '';
                } else {
                    rows[i].style.display = 'none';
                }
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ficenc/public_html/sistemanichos/resources/views/recibo_cinerario/index.blade.php ENDPATH**/ ?>