<?php $__env->startSection('title', 'Dashboard'); ?>

<?php $__env->startSection('content_header'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="row mb-4">
        <div class="col-md-6">
            <h2 class="mb-0">Nuevo Difunto</h2>
        </div>
        <div class="col-md-6 text-right">
            <!-- Optional right aligned content can be added here -->
        </div>
    </div>
    <form method="POST" action="<?php echo e(route('recibo.store')); ?>" id="formdifunto">
        <?php echo csrf_field(); ?>
        <div class="card mb-4">
            <div class="card-header bg-success text-white">
                <h6 class="mb-0">Datos del Nicho</h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="fila_nicho">Fila Nicho</label>
                            <input type="text" class="form-control" id="fila_nicho" name="fila_nicho" value="<?php echo e($nicho->fila); ?>" readonly>
                        </div>
                        <div class="form-group">
                            <label for="columna_nicho">Columna Nicho</label>
                            <input type="text" class="form-control" id="columna_nicho" name="columna_nicho" value="<?php echo e($nicho->columna); ?>" readonly>
                        </div>
                        <div class="form-group">
                            <label for="id_nicho">Id Nicho</label>
                            <input type="text" class="form-control" id="id_nicho" name="id_nicho" value="<?php echo e($nicho->id); ?>" readonly>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="estado_nicho">Estado del Nicho</label>
                            <select class="form-control" id="estado_nicho" name="estado_nicho">
                                <option value="Libre">Libre</option>
                                <option value="Reservado">Reservado</option>
                                <option value="Ocupado">Ocupado</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="precio_nicho">Precio del Nicho</label>
                            <input type="text" class="form-control" id="precio_nicho" name="precio_nicho" required>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mb-4">
            <div class="card-header bg-success text-white">
                <h6 class="mb-0">Datos del Difunto</h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="dni_difunto">DNI del Difunto(*)</label>
                            <div class="input-group">
                                <input type="text" class="form-control" id="dni_difunto" name="dni_difunto" required>
                                <div class="input-group-append">
                                    <button class="btn btn-outline-secondary" type="button" id="buscar_difunto">
                                        <i class="fa fa-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="nombre_difunto">Nombre del Difunto(*)</label>
                            <input type="text" class="form-control" id="nombre_difunto" name="nombre_difunto" required>
                        </div>
                        <div class="form-group">
                            <label for="apellido_paterno_difunto">Apellido Paterno del Difunto(*)</label>
                            <input type="text" class="form-control" id="apellido_paterno_difunto" name="apellido_paterno_difunto" required>
                        </div>
                        <div class="form-group">
                            <label for="apellido_materno_difunto">Apellido Materno del Difunto(*)</label>
                            <input type="text" class="form-control" id="apellido_materno_difunto" name="apellido_materno_difunto" required>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="causa_muerte">Causa de Muerte</label>
                            <input type="text" class="form-control" id="causa_muerte" name="causa_muerte" >
                        </div>
                        <div class="form-group">
                            <label for="acta_defuncion">Acta de Defunción</label>
                            <input type="text" class="form-control" id="acta_defuncion" name="acta_defuncion">
                        </div>
                        <div class="form-group">
                            <label for="certificado_defuncion">Certificado de Defunción</label>
                            <input type="text" class="form-control" id="certificado_defuncion" name="certificado_defuncion">
                        </div>
                        <div class="form-group">
                            <label for="fecha_muerte">Fecha de Muerte</label>
                            <input type="date" class="form-control" id="fecha_muerte" name="fecha_muerte" >
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mb-4">
            <div class="card-header bg-success text-white">
                <h6 class="mb-0">Datos del Familiar</h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="dni_familiar">DNI del Familiar(*)</label>
                            <div class="input-group">
                                <input type="text" class="form-control" id="dni_familiar" name="dni_familiar" required>
                                <div class="input-group-append">
                                    <button class="btn btn-outline-secondary" type="button" id="buscar_familiar">
                                        <i class="fa fa-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="nombre_familiar">Nombre del Familiar(*)</label>
                            <input type="text" class="form-control" id="nombre_familiar" name="nombre_familiar" required>
                        </div>
                        <div class="form-group">
                            <label for="apellido_paterno_familiar">Apellido Paterno del Familiar(*)</label>
                            <input type="text" class="form-control" id="apellido_paterno_familiar" name="apellido_paterno_familiar" required>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="apellido_materno_familiar">Apellido Materno del Familiar(*)</label>
                            <input type="text" class="form-control" id="apellido_materno_familiar" name="apellido_materno_familiar" required>
                        </div>
                        <div class="form-group">
                            <label for="parentesco">Parentesco(*)</label>
                            <input type="text" class="form-control" id="parentesco" name="parentesco" required>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="col-md-12 text-right">
                <button type="button" class="btn btn-secondary mr-2" data-dismiss="modal">Atrás</button>
                <button type="submit" class="btn btn-primary" id="btnboleta">Registrar</button>
            </div>
        </div>
    </form>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('css'); ?>
    
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
 $(document).ready(function() {
    // Manejar el evento de clic en el botón Registrar
    $('#btnboleta').click(function(event) {
        // Evitar que el formulario se envíe automáticamente
        event.preventDefault();

        // Validar que todos los campos requeridos estén llenos
        var form = $('#formdifunto')[0];
        if (form.checkValidity() === false) {
            // Si hay campos requeridos vacíos, mostrar un mensaje de error
            alert('Por favor complete todos los campos requeridos.');
            form.classList.add('was-validated');
            return;
        }

        // Obtener los datos del formulario
        var formData = $('#formdifunto').serialize();

        // Realizar la solicitud AJAX al servidor
        $.ajax({
            url: 'http://localhost/sistemanichos/public/recibo/store',
            method: 'POST',
            data: formData,
            success: function(response) {
                if (response.success) {
                    // Obtener el ID del recibo
                    var reciboId = response.recibo_id;

                    // Construir la URL para generar la boleta
                    var url = '<?php echo e(route("recibo.export", ":id")); ?>'.replace(':id', reciboId);

                    // Abrir la boleta en una nueva ventana
                    window.open(url, '_blank');

                    // Redirigir a la página de ventas
                    window.location.href = 'http://localhost/sistemanichos/public/recibo';
                } else {
                    alert('Error al Registrar Difunto');
                }
            },
            error: function() {
                alert('Error de conexión');
            }
        });
    });

});
    </script>
    <script>
        $(document).ready(function() {
            $('#buscar_difunto').on('click', function() {
                var dni = $('#dni_difunto').val();
                if (dni) {
                    $.ajax({
                        url: '<?php echo e(route("buscar-dni", ":dni")); ?>'.replace(':dni', dni),
                        method: 'GET',
                        success: function(response) {
                            console.log('Response:', response); // Log the response for debugging
                            if (response.success) {
                                var data = response.data;
                                $('#nombre_difunto').val(data.nombres);
                                $('#apellido_paterno_difunto').val(data.apellidoPaterno);
                                $('#apellido_materno_difunto').val(data.apellidoMaterno);
                            } else {
                                alert(response.message);
                            }
                        },
                        error: function(xhr, status, error) {
                            console.error('AJAX Error:', status, error); // Log AJAX errors
                            alert('Error al consultar el DNI');
                        }
                    });
                } else {
                    alert('Por favor ingrese un DNI');
                }
            });
        });
        </script>
        <script>
            $(document).ready(function() {
                $('#buscar_familiar').on('click', function() {
                    var dni = $('#dni_familiar').val();
                    if (dni) {
                        $.ajax({
                            url: '<?php echo e(route("buscar-dni", ":dni")); ?>'.replace(':dni', dni),
                            method: 'GET',
                            success: function(response) {
                                console.log('Response:', response); // Log the response for debugging
                                if (response.success) {
                                    var data = response.data;
                                    $('#nombre_familiar').val(data.nombres);
                                    $('#apellido_paterno_familiar').val(data.apellidoPaterno);
                                    $('#apellido_materno_familiar').val(data.apellidoMaterno);
                                } else {
                                    alert(response.message);
                                }
                            },
                            error: function(xhr, status, error) {
                                console.error('AJAX Error:', status, error); // Log AJAX errors
                                alert('Error al consultar el DNI');
                            }
                        });
                    } else {
                        alert('Por favor ingrese un DNI');
                    }
                });
            });
            </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sistemanichos\resources\views/recibo/create.blade.php ENDPATH**/ ?>