<?php $__env->startSection('title', 'Dashboard'); ?>

<?php $__env->startSection('content_header'); ?>
    <h1></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="d-flex align-items-center justify-content-between">
    <h2 class="mb-0">COBRO DE LAPIDAS</h2>
    <a href="<?php echo e(route('lapida.create')); ?>" class="btn btn-primary">
        Realizar Cobro
    </a>
</div>
<hr/>

<!-- Campo de búsqueda -->
<div class="input-group mb-3">
    <input type="text" id="searchInput" class="form-control" placeholder="Buscar por solicitante..." value="<?php echo e(request()->input('searchTerm', '')); ?>">
</div>

<div id="table-container">
    <?php echo $__env->make('lapida.table', ['lapida' => $lapida], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const searchInput = document.getElementById('searchInput');

            searchInput.addEventListener('input', function () {
                const searchTerm = searchInput.value.toLowerCase().trim();

                // Realizar la búsqueda mediante AJAX
                fetch(`<?php echo e(route('lapida.search')); ?>?query=${searchTerm}`)
                    .then(response => response.text())
                    .then(html => {
                        // Reemplazar el contenido de la tabla con los resultados filtrados
                        document.getElementById('table-container').innerHTML = html;
                    })
                    .catch(error => console.error('Error:', error));
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sistemanichos\resources\views/lapida/index.blade.php ENDPATH**/ ?>