<?php

namespace App\Http\Controllers;

use App\Models\difunto;
use App\Models\familiar;
use App\Models\nichos;
use App\Models\recibo;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Barryvdh\DomPDF\Facade\Pdf;
use Svg\Tag\Rect;

class difuntoController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {

        $familiar = familiar::all();
        $difunto = difunto::all();
        $recibos = recibo::all();
        $nicho = nichos::all();
        return view('difunto.index', compact('nicho','familiar','difunto','recibos'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        
    }
    
    public function store(Request $request)
{
   
}
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
       
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
{
    $difunto=difunto::find($id);
    $difunto->nombre = $request->input('nombre_difunto'); 
    $difunto->apellido_paterno = $request->input('apellido_paterno_difunto'); 
    $difunto->apellido_materno = $request->input('apellido_materno_difunto'); 
    $difunto->dni = $request->input('dni_difunto'); 
    $difunto->causa_de_muerte = $request->input('causa_muerte'); 
    $difunto->acta_de_defuncion = $request->input('acta_defuncion');  
    $difunto->certificado_de_defuncion = $request->input('certificado_defuncion'); 
    $difunto->fecha_muerte = $request->input('fecha_muerte'); 
    $difunto->update();
    return redirect()->back()->with('info', 'guardado Correctamente');
}
    

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function export(string $id)
    {
        $recibos = recibo::with('nichos', 'familiar','difunto')->find($id);
        $pdf = pdf::loadView('.export', ['recibos' => $recibos]);
        return $pdf->stream('boleta_de_venta.pdf');
    }

}
