<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class cinerarios extends Model
{
    public $timestamps = false;

   
    public function pabellon()
    {
        return $this->belongsTo(pabellon::class, 'id_pabellon');
    }

    public function difuntos_cremados()
    {
        return $this->hasOne(difuntos_cremados::class, 'id_cinerario');
    }

    public function familiar_difuntos_cremados()
    {
        return $this->hasMany(familiar_difuntos_cremados::class, 'id_cinerario');
    }
    public function recibo_cinerario()
    {
        return $this->belongsTo(recibo_cinerario::class, 'id_recibo_cinerario');
    }
}
