<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class detalle_recibo_cinerario extends Model
{
    public $timestamps = false;

    // Relación con Venta
    public function recibo_cinerario()
    {
        return $this->belongsTo(recibo_cinerario::class, 'id_recibo_cinerario');
    }
    public function difuntos_cremados()
    {
        return $this->belongsTo(difuntos_cremados::class, 'id_difunto_cremado');
    }
    public function cinerarios()
    {
        return $this->belongsTo(cinerarios::class, 'id_cinerarios');
    }
    public function pabellon()
    {
        return $this->belongsTo(pabellon::class, 'id_pabellon');
    }
}
