<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class difunto extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = [
        'dni',
        'acta_de_defuncion',
        'certificado_de_defuncion',
        'nombre',
        'apellido_paterno',
        'apellido_materno',
        'causa_de_muerte',
        'fecha_muerte',
    ]   ;

    public function familiar()

    {
        return $this->hasMany(familiar::class, 'id_difunto');
    }

    // Relación con el modelo Nicho
    public function nicho()
    {
        return $this->belongsTo(nichos::class, 'id_nicho');
    }
    public function recibo()
    {
        return $this->belongsTo(recibo::class, 'id_recibo');
    }

    public function pabellon()
    {
        return $this->belongsTo(pabellon::class, 'id_pabellon');
    }

}

