<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pabellons', function (Blueprint $table) {
            $table->id();
            $table->string('nombre_pabellon');
            $table->integer('filas_pabellon')->default(6); // Puedes cambiar el valor por defecto si es necesario
            $table->integer('columnas_pabellon')->default(42);
            $table->integer('numero_cinerarios');                      // Puedes cambiar el valor por defecto si es necesario
            $table->string('lado_pabellon');
            $table->string('imagen_Pabellon');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pabellons');
    }
};
