<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('alquilers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('id_arrendatario')->unsigned();
            $table->date('fecha');
            $table->decimal('subtotal', 8, 2);
            $table->decimal('total', 8, 2);
            $table->foreign('id_arrendatario')->references('id')->on('arrendatarios');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('alquilers');
    }
};
