<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('detallealquilers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('id_alquiler')->unsigned();
            $table->bigInteger('id_inmueble')->unsigned();
            $table->integer('monto');
            $table->string('meses');
            $table->foreign('id_alquiler')->references('id')->on('alquilers');
            $table->foreign('id_inmueble')->references('id')->on('inmuebles');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('detallealquilers');
    }
};
