<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('lapidas', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('id_solicitante')->unsigned();
            $table->date('fecha');
            $table->foreign('id_solicitante')->references('id')->on('solicitantes');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('lapidas');
    }
};
