<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cinerarios', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('id_pabellon');
            $table->integer('numero');
            $table->string('estado_cinerario');
            $table->decimal('precio_cinerario')->nullable();
            $table->foreign('id_pabellon')->references('id')->on('pabellons');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cinerarios');
    }
};
