<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('familiar_difuntos_cremados', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('id_difunto_cremado');
            $table->string('nombre');
            $table->string('apellido_paterno');
            $table->string('apellido_materno');
            $table->string('dni');
            $table->string('parentesco');
            $table->foreign('id_difunto_cremado')->references('id')->on('difuntos_cremados');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('familiar_difuntos_cremados');
    }
};
