<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('detalle_recibo_cinerarios', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('id_recibo_cinerarios')->unsigned();
            $table->bigInteger('id_cinerarios')->unsigned();
            $table->bigInteger('id_difunto_cremado')->unsigned();
            $table->foreign('id_recibo_cinerarios')->references('id')->on('recibo_cinerarios');
            $table->foreign('id_cinerarios')->references('id')->on('cinerarios');
            $table->foreign('id_difunto_cremado')->references('id')->on('difuntos_cremados');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('detalle_recibo_cinerarios');
    }
};
