@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')
@stop

@section('content')
<div class="row">
    <div class="col-md-6">
        <h2 class="mb-0" style="display: inline-block;">Mostrando Pago Derecho Lapida</h2>
    </div>
    <div class="col-md-6 text-right">
    </div>
</div>
<form method="POST" action="{{ route('lapida.store') }}" id="formVenta">
    @csrf
    <div class="row">
        <div class="col-md-12 border-right">
            <div class="row" id="res"></div>
            <div class="row mt-2">
                <div class="col-md-1" STYLE="display: none">
                    <label class="labels">SOLICITANTE</label>
                    <input type="text" id="idsolicitante" name="idsolicitante" class="form-control" readonly>
                </div>
                <div class="col-md-9">
                    <label class="labels">SOLICITANTE</label>
                    <input   value="{{$lapida->solicitante->nombre}}"
                        type="text" id="solicitante" name="solicitante" class="form-control"
                        placeholder="Ingresar solicitante" readonly>
                
                </div>
                <div class="col-md-3">
                    <label class="labels">DOCUMENTO</label>
                    <input
                    value="{{$lapida->solicitante->dni}}"
                        type="text" id="documento" name="documento" class="form-control" readonly>
                </div>
            </div>
        </div>
    </div>
</form> <!-- Fin del formulario principal -->
<div class="form-group col-lg-3 col-md-3 col-sm-6 col-xs-12">
</div>
<div class="form-group col-lg-12 col-md-12 col-xs-12">
    <table id="detallesVentaTemporal" class="table table-striped table-bordered table-condensed table-hover">
        <thead style="background-color:#A9D0F5">
        <th>Id</th>
        <th>Difunto</th>
        <th>Costo</th>
        <th>Total</th>
        </thead>
        <tbody>
            <tbody>
                @foreach($lapida->detalle_lapida as $item)
                    <tr>
                        <td>{{$item->sepultado->id}}</td>
                        <td>{{$item->sepultado->nombres }}</td>           
                        <td>{{number_format($item->costo,2)}}</td>
                        <td>{{number_format($item->costo,2)}}</td>
              
                    </tr>
                @endforeach
        </tbody>
        <tfoot>
        
        </tfoot>
    </table>
    <form method="POST" action="">
        @csrf
        <div class="form-group col-md-3 m-auto">
            <a
            href="{{ route('lapida.export',$lapida->id) }}"
            target="_blank"
            class="btn btn-primary btn-block text-white" type="submit" id="btnEmitirComprobante">
            <i class="fa fa-plus"></i> Imprimir
        </a>
        </div>
    </form>
    <br>
    <div class="form-group col-md-3 m-auto">
        <a href="{{ route('lapida') }}"
           class="btn btn-secondary btn-block text-white">
            Cancelar
        </a>
    </div>
</div>

@stop

@section('css')
    {{-- Add here extra stylesheets --}}
    {{-- <link rel="stylesheet" href="/css/admin_custom.css"> --}}
@stop

@section('js')
    <script> console.log("Hi, I'm using the Laravel-AdminLTE package!"); </script>
@stop