<table class="table table-hover">
    <thead class="table-primary">
    <tr>
        <th>ID</th>
        <th>Nombre Familiar</th>
        <th>Apellidos Paterno</th>
        <th>Apellidos Materno</th>
        <th>Fecha</th>
        <th>Acciones</th>
    </tr>
    </thead>
    <tbody id="recibosTableBody">
        @foreach($recibos as $recibo)
            <tr class="recibos-row">
                <td>{{$recibo->id}}</td>
                <td>{{$recibo->familiar->nombre}}</td>
                <td>{{$recibo->familiar->apellido_paterno}}</td>
                <td>{{$recibo->familiar->apellido_materno}}</td>
                <td>{{$recibo->fecha}}</td>
                <td>
                    <a href="{{ route('recibo.export', $recibo->id) }}" class="btn btn-primary"  target="_blank">
                        <i class="fas fa-money-check"></i> <!-- Ícono de Recibo -->
                    </a>
                </td>
            </tr>
        @endforeach
    </tbody>
</table>
<div class="d-flex justify-content-center">
    {{ $recibos->links('components.paginator.index') }}
</div>
