

<?php $__env->startSection('title', 'Dashboard'); ?>

<?php $__env->startSection('content_header'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row mb-4">
        <div class="col-md-6">
            <br>
            <h2 class="mb-0">Datos Nicho</h2>
        </div>
        <div class="col-md-6 text-right">
            <!-- Optional right aligned content can be added here -->
        </div>
    </div>
    <form action="<?php echo e(route('nichos.update', ['id' => $nicho->id])); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>

        <div class="card mb-4">
            <div class="card-header bg-success text-white">
                <h6 class="mb-0">Actualizar Estado del Nicho</h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="fila_nicho">Fila Nicho</label>
                            <input type="text" class="form-control" id="fila_nicho" name="fila_nicho" value="<?php echo e($nicho->fila); ?>" readonly>
                        </div>
                        <div class="form-group">
                            <label for="columna_nicho">Columna Nicho</label>
                            <input type="text" class="form-control" id="columna_nicho" name="columna_nicho" value="<?php echo e($nicho->columna); ?>" readonly>
                        </div>
                        <div class="form-group">
                            <label for="id_nicho">Id Nicho</label>
                            <input type="text" class="form-control" id="id_nicho" name="id_nicho" value="<?php echo e($nicho->id); ?>" readonly>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="estado_nicho">Estado del Nicho</label>
                            <select class="form-control" id="estado_nicho" name="estado_nicho">
                                <option value="Libre" <?php echo e($nicho->estado_nicho === 'Libre' ? 'selected' : ''); ?>>Libre</option>
                                <option value="Reservado" <?php echo e($nicho->estado_nicho === 'Reservado' ? 'selected' : ''); ?>>Reservado</option>
                                <option value="Ocupado" <?php echo e($nicho->estado_nicho === 'Ocupado' ? 'selected' : ''); ?>>Ocupado</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="precio_nicho">Precio del Nicho</label>
                            <input type="text" class="form-control" id="precio_nicho" name="precio_nicho" value="<?php echo e($nicho->precio_nicho); ?>" readonly>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-12 text-right">
                        <button type="button" class="btn btn-secondary mr-2" data-dismiss="modal">Atrás</button>
                        <button type="submit" class="btn btn-primary" id="btnboleta">Actualizar</button>

                    </div>
                </div>
            </div>
        </div>
       
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script> console.log("Hi, I'm using the Laravel-AdminLTE package!"); </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sistemanichos\resources\views/nichos/create.blade.php ENDPATH**/ ?>