<?php $__env->startSection('title', 'Dashboard'); ?>

<?php $__env->startSection('content_header'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<br>
<div class="d-flex align-items-center justify-content-between mb-3">
    <h4 class="mb-0">Difuntos</h4>
</div>
<div class="mb-3">
    <input type="text" id="search-input" class="form-control" placeholder="Buscar por nombre">
</div>
<div class="row row-cols-1 row-cols-md-6">
    <?php $__currentLoopData = $difunto; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $DIFUNTO): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col mb-4">
            <div class="card shadow-sm h-100">
                <div class="card-body p-2 d-flex flex-column justify-content-center align-items-center">
                    <div class="d-flex justify-content-center align-items-center">
                        <i class="fas fa-cross mr-2"></i>
                        <h6 class="card-text mb-0 text-center font-weight-bold">
                            <?php echo e($DIFUNTO->nombre); ?> <?php echo e($DIFUNTO->apellido_paterno); ?> <?php echo e($DIFUNTO->apellido_materno); ?>

                        </h6>
                    </div>
                    <div class="btn-group mt-3">
                        <button type="button" class="btn btn-outline-primary btn-sm modern-button" data-toggle="modal" data-target="#view<?php echo e($DIFUNTO->id); ?>">
                            <i class="fas fa-eye"></i>
                        </button>
                        <button type="button" class="btn btn-outline-secondary btn-sm modern-button" data-toggle="modal" data-target="#update<?php echo e($DIFUNTO->id); ?>">
                            <i class="fas fa-edit"></i>
                        </button>
                    </div>
                </div>
            </div>
            <?php echo $__env->make('difunto.view', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->make('difunto.update', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="/css/admin_custom.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <style>
        .modern-button {
            transition: all 0.3s ease;
        }

        .modern-button:hover {
            transform: scale(1.1);
            box-shadow: 0 4px 8px rgba(0,0,0,0.2);
        }

        .card {
            transition: transform 0.2s;
        }

        .card:hover {
            transform: scale(1.02);
            box-shadow: 0 6px 12px rgba(0,0,0,0.15);
        }

        .card-text {
            font-size: 0.9rem;
        }

        .btn-group {
            display: flex;
            gap: 0.5rem;
        }

        .btn-outline-primary, .btn-outline-secondary {
            border-radius: 50%;
            padding: 0.25rem 0.5rem;
        }

        .btn-outline-primary:hover {
            background-color: #007bff;
            color: #fff;
        }

        .btn-outline-secondary:hover {
            background-color: #6c757d;
            color: #fff;
        }

        .btn-primary {
            background-color: #4CAF50;
            border-color: #4CAF50;
        }

        .btn-primary:hover {
            background-color: #45a049;
            border-color: #45a049;
        }

        .fas.fa-cross {
            font-size: 1.2rem;
            color: #6c757d;
        }

        .card-body .text-center {
            display: flex;
            align-items: center;
        }

        .card-body .font-weight-bold {
            font-weight: bold;
            margin-left: 0.5rem;
        }

        .row-cols-md-6 > .col {
            flex: 0 0 16.666667%;
            max-width: 16.666667%;
        }

        /* Full-width search bar */
        #search-input {
            width: 100%;
            font-size: 1.25rem;
        }
        #search-input {
            width: 1200px;  /* Ancho deseado */
            height: 35px;  /* Altura deseada */
            font-size: 16px; /* Tamaño de fuente deseado */
            padding: 5px;  /* Espaciado interno */
        }

    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        const searchInput = document.getElementById('search-input');
        searchInput.addEventListener('keyup', function () {
            const query = searchInput.value.toLowerCase();
            const cards = document.querySelectorAll('.card');

            cards.forEach(function (card) {
                const name = card.querySelector('.card-text').innerText.toLowerCase();
                if (name.includes(query)) {
                    card.closest('.col').style.display = 'block';
                } else {
                    card.closest('.col').style.display = 'none';
                }
            });
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ficenc/public_html/sistemanichos/resources/views/difunto/index.blade.php ENDPATH**/ ?>