<style>
    .modal-header {
        background-color: #343a40;
        color: white;
        border-bottom: none;
    }

    .modal-header .close {
        color: white;
        opacity: 1;
    }

    .modal-header .close:hover {
        color: #ffcc00;
    }

    .modal-content {
        border-radius: 15px;
    }

    .modal-title {
        font-weight: bold;
    }

    .modal-body p {
        font-size: 1.1rem;
    }

    .modal-body h5 {
        margin-top: 20px;
        font-size: 1.3rem;
        font-weight: bold;
        color: #343a40;
        text-align: center;
    }

    .modal-footer {
        border-top: none;
        justify-content: center;
    }

    .btn-secondary {
        background-color: #343a40;
        border: none;
        font-size: 1rem;
        border-radius: 10px;
        padding: 10px 20px;
    }

    .btn-secondary:hover {
        background-color: #ffcc00;
        color: #343a40;
    }
</style>

<div class="modal fade" id="view<?php echo e($DIFUNTO->id); ?>" tabindex="-1" aria-labelledby="viewModalLabel<?php echo e($DIFUNTO->id); ?>" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewModalLabel<?php echo e($DIFUNTO->id); ?>">Informacion</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <h5 >Detalles del Difunto</h5>
                <p><strong>Nombre:</strong> <?php echo e($DIFUNTO->nombre); ?></p>
                <p><strong>Dni:</strong> <?php echo e($DIFUNTO->dni); ?></p>
                <p><strong>Apellido Paterno:</strong> <?php echo e($DIFUNTO->apellido_paterno); ?></p>
                <p><strong>Apellido Materno:</strong> <?php echo e($DIFUNTO->apellido_materno); ?></p>
                <p><strong>Causa de Muerte:</strong> <?php echo e($DIFUNTO->causa_de_muerte); ?></p>
                <p><strong>Fecha Muerte:</strong> <?php echo e($DIFUNTO->fecha_muerte); ?></p>
                <h5 >Detalles del Nicho</h5>
                <p><strong>Pabellon:</strong> <?php echo e($DIFUNTO->nicho->pabellon->nombre_pabellon); ?></p>
                <p><strong>Lado:</strong> <?php echo e($DIFUNTO->nicho->pabellon->lado_pabellon); ?></p>
                <p><strong>Fila Nicho:</strong> <?php echo e($DIFUNTO->nicho->fila); ?></p>
                <p><strong>Columna Nicho:</strong> <?php echo e($DIFUNTO->nicho->columna); ?></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/ficenc/public_html/sistemanichos/resources/views/difunto/view.blade.php ENDPATH**/ ?>