<div class="modal fade" id="update<?php echo e($INMUEBLE->id); ?>" tabindex="-1" aria-labelledby="updateModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title" id="updateModalLabel">Actualizar Datos Inmueble</h5>
            </div>
            <form action="<?php echo e(route('inmueble.update', $INMUEBLE->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>
                <div class="modal-body">

                    <div class="mb-3">
                        <label for="direccion" class="form-label">Dirección</label>
                        <input type="text" class="form-control" id="direccion" name="direccion" value="<?php echo e($INMUEBLE->direccion); ?>" required>
                    </div>

                    <div class="mb-3">
                        <img src="<?php echo e($INMUEBLE->imagen_inmueble); ?>" alt="Fotografía del Inmueble" style="max-width: 50%; height: auto; border-radius: 10px;">
                    </div>

                    <div class="mb-3">
                        <label for="foto" class="form-label">Fotografía</label>
                        <input type="file" class="form-control-file" id="foto" name="foto">
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-success">Guardar Cambios</button>
                </div>
            </form>
        </div>
    </div>
</div><?php /**PATH /home/ficenc/public_html/sistemanichos/resources/views/inmueble/update.blade.php ENDPATH**/ ?>